XZDIFF(1)

NAME
xzcmp, xzdiff, lzcmp, lzdiff - compare compressed files

SYNOPSIS
xzcmp [cmp_options] file1 [file2]
xzdiff [diff_options] file1 [file2]
lzcmp [cmp_options] file1 [file2]
lzdiff [diff_options] file1 [file2]

DESCRIPTION
xzcmp and xdiff invoke cmp(1) or diff(1) on files compressed with xz(1), lzma(1), gzip(1), or bzip2(1). All options specified are passed directly to cmp or diff. If only one file is specified, then the files compared are file1 (which must have a suffix of a supported compression format) and file1 from which the compression format suffix has been stripped. If two files are specified, then they are uncompressed if necessary and fed to cmp(1) or diff(1). The exit status from cmp or diff is preserved.

The names lzcmp and lzdiff are provided for backward compatibility with LZMA Utils.

SEE ALSO
cmp(1), diff(1), xz(1), gzip(1), bzip2(1), zdiff(1)

BUGS
Messages from the cmp(1) or diff(1) programs refer to temporary filenames instead of those specified.